sealed trait Age{
	def monage():Int
}

sealed trait Comparable[T]{
	def sameAge(that:T):Boolean
	def olderThan(that:T):Boolean
	def youngerThan(that:T):Boolean
}

case class Person(name:String, age:Int) extends Age with Comparable[Age]{
	override def sameAge(that:Age)=age==that.monage()
	override def olderThan(that:Age)=(age>that.monage())
	override def youngerThan(that:Age)=(age<that.monage())
	override def monage()=this.age
}
